<?php
define('EmpireCMSAdmin','1');
require("../class/connect.php");
require("../class/db_sql.php");
require("../class/functions.php");
require("../class/t_functions.php");
require("../class/dpfun.php");
require("../class/writer.php");
require("../data/dbcache/class.php");
require LoadLang("pub/fun.php");
$link=db_connect();
$empire=new mysqlquery();
//验证用户
$lur=is_login();
$logininid=$lur['userid'];
$loginin=$lur['username'];
$loginrnd=$lur['rnd'];
$loginlevel=$lur['groupid'];
$loginadminstyleid=$lur['adminstyleid'];

$enews=$_POST['enews'];
if(empty($enews))
{$enews=$_GET['enews'];}

if($enews=="ReWriterIndex")
{
	ReAllClass(0);
}
elseif($enews=="ReWriterClass")
{
	ReAllClass(1);
}
elseif($enews=="ReWriter")
{
	$start=$_GET['start'];
	ReAllWriter($start);
}
elseif($enews=="Zhengli")
{
	$start=$_GET['start'];
	Zhengli($start);
}
elseif($enews=="ZhengliOne")
{
	$wid=$_GET['wid'];	
	ZhengliOne($wid);
}
else{
	printerror('ErrorUrl','');
}

db_close();
$empire=null;
?>